import java.io.*;

public class PipeTest extends Thread
{
    private InputStreamReader reader;
    private PipedWriter writer;

    public static void main(String[] args) throws Exception
    {
	PipedWriter writer = new PipedWriter();
	PipedReader reader = new PipedReader(writer);
	FileReader fileReader = new FileReader(args[0]);
	new PipeTest(fileReader, writer).start();

	BufferedReader bufferedReader = new BufferedReader(reader);
	String line;
	while ((line = bufferedReader.readLine()) != null) {
	    System.out.println(line);
	}
    }

    public PipeTest(InputStreamReader reader, PipedWriter writer)
    {
	this.writer = writer;
	this.reader = reader;
    }

    public void run()
    {
	try {
	    BufferedReader bufferedReader = new BufferedReader(reader);
	    PrintWriter printWriter = new PrintWriter(writer);
	    String line;
	    while ((line = bufferedReader.readLine()) != null) {
		//printWriter.println(line);
		printWriter.println(line.toUpperCase());
	    }
	    bufferedReader.close();
	    writer.close();
	} catch (IOException e) {
	    e.printStackTrace();
	}
    }
}
